"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const joi_1 = require("joi");
const lodash_defaultsdeep_1 = __importDefault(require("lodash.defaultsdeep"));
const defaultOptions = {
    stripUnknown: { objects: true },
    abortEarly: false
};
exports.validate = (data, schema, opts = {}) => {
    const joiOptions = lodash_defaultsdeep_1.default(opts, defaultOptions);
    const result = joi_1.validate(data, schema, joiOptions);
    if (!result.error)
        return { data: result.value };
    if (result.error.name !== 'ValidationError') {
        return {
            error: result.error
        };
    }
    const message = result.error.details ? result.error.details.join(', ') : '';
    const error = result.error.details;
    return { error };
};
//# sourceMappingURL=index.js.map